%define enable_tests	1

%bcond_without magic

Name:		feh
Version:	3.10.3
Release:	%mkrel 2
Summary:	Image viewer at heart, though it does other cool stuff
License:	MIT
Group:		Graphics/Viewers
URL:		https://feh.finalrewind.org/
Source0:	https://feh.finalrewind.org/%{name}-%{version}.tar.bz2
Source2:	https://feh.finalrewind.org/%{name}-%{version}.tar.bz2.asc
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(giblib)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libexif)
%if %{with magic}
BuildRequires:	pkgconfig(libmagic)
%endif

%if %{enable_tests}
BuildRequires:	perl-devel
BuildRequires:	perl(Test::Command)
%endif

Recommends:     jpeg-progs
Recommends:     imagemagick

%description
Feh is an image viewer, but it does a whole lot of other cool stuff as
well. There are simply too many to mention them here so please check the
docs/homepage.

%prep
%autosetup -p1

sed -i -e 's/fgrep/grep -F/g' Makefile

%build
%set_build_flags
%make_build PREFIX=%{_prefix} exif=1 %{?with_magic:magic=1}

%install
%make_install PREFIX=%{_prefix}

# let files section handle docs
%__rm -rf %{buildroot}%{_docdir}/%{name}

%if %{enable_tests}
%check
make test
%endif

%files
%doc AUTHORS ChangeLog README.md TODO examples
%{_bindir}/*
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/feh.{png,svg}
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.10.3-2.mga10
+ Revision: 2227158
- Mageia 10 Mass Rebuild

* Tue Aug 27 2024 neoclust <neoclust> 3.10.3-1.mga10
+ Revision: 2091674
- New version 3.10.3

* Sun May 05 2024 eatdirt <eatdirt> 3.10.2-1.mga10
+ Revision: 2062216
- Upgrade to version 3.10.2

* Sat Jan 28 2023 wally <wally> 3.9.1-2.mga9
+ Revision: 1936679
- enable libmagic support
- don't own hicolor icon dirs

* Thu Aug 25 2022 eatdirt <eatdirt> 3.9.1-1.mga9
+ Revision: 1880284
- Update to version 3.9.1

* Wed Mar 30 2022 umeabot <umeabot> 3.8-2.mga9
+ Revision: 1834851
- Mageia 9 Mass Rebuild

* Mon Jan 24 2022 luigiwalser <luigiwalser> 3.8-1.mga9
+ Revision: 1769622
- 3.8

* Sun Aug 08 2021 luigiwalser <luigiwalser> 3.7.1-1.mga9
+ Revision: 1740354
- 3.7.1

* Wed Feb 03 2021 luigiwalser <luigiwalser> 3.6.3-1.mga8
+ Revision: 1674722
- 3.6.3

* Sat Dec 12 2020 eatdirt <eatdirt> 3.6.1-1.mga8
+ Revision: 1656046
- Upgrade to version 3.6.1

* Fri Sep 04 2020 eatdirt <eatdirt> 3.5-1.mga8
+ Revision: 1621807
- Upgrade to version 3.5

* Wed Jun 24 2020 luigiwalser <luigiwalser> 3.4.1-1.mga8
+ Revision: 1598997
- 3.4.1

* Tue Apr 28 2020 luigiwalser <luigiwalser> 3.4-1.mga8
+ Revision: 1572555
- 3.4

* Thu Feb 27 2020 daviddavid <daviddavid> 3.3-1.mga8
+ Revision: 1550980
- new version: 3.3 (adjust tests for Imlib2 1.6+)
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Thu Mar 07 2019 eatdirt <eatdirt> 3.1.3-1.mga7
+ Revision: 1372198
- Upgrade to version 3.1.3

* Wed Dec 19 2018 eatdirt <eatdirt> 3.1.1-1.mga7
+ Revision: 1342959
- Upgrade to version 3.1.1

* Tue Oct 09 2018 eatdirt <eatdirt> 2.28-1.mga7
+ Revision: 1319091
- Upgrade to version 2.28

* Sun Sep 23 2018 umeabot <umeabot> 2.27.1-2.mga7
+ Revision: 1297681
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 eatdirt <eatdirt> 2.27.1-1.mga7
+ Revision: 1249777
- Upgrade to version 2.27.1

* Sun Jun 24 2018 eatdirt <eatdirt> 2.26.3-1.mga7
+ Revision: 1239385
- Upgrade to version 2.26.3

* Sun May 13 2018 eatdirt <eatdirt> 2.26.2-1.mga7
+ Revision: 1229041
- Upgrade to version 2.26.2

* Wed Mar 14 2018 eatdirt <eatdirt> 2.25.1-1.mga7
+ Revision: 1209374
- Upgrade to version 2.25.1

* Wed Nov 15 2017 zezinho <zezinho> 2.22-1.mga7
+ Revision: 1177446
- new version

* Sat Oct 07 2017 eatdirt <eatdirt> 2.21-1.mga7
+ Revision: 1169870
- Upgrade to version 2.21

* Thu May 11 2017 eatdirt <eatdirt> 2.18.3-2.mga6
+ Revision: 1100240
- Add exif and image rotation support

* Tue May 02 2017 eatdirt <eatdirt> 2.18.3-1.mga6
+ Revision: 1098507
- Update to version 2.18.3 (#20775)

* Thu Mar 02 2017 eatdirt <eatdirt> 2.18.2-1.mga6
+ Revision: 1088481
- Upgrade to version 2.18.2

* Fri Nov 18 2016 eatdirt <eatdirt> 2.18-1.mga6
+ Revision: 1068165
- Upgrade to version 2.18

* Mon Apr 04 2016 tv <tv> 2.14.2-3.mga6
+ Revision: 998338
- do not run testsuite with -j

* Sat Mar 26 2016 eatdirt <eatdirt> 2.14.2-2.mga6
+ Revision: 995668
- Add missing BR to giflib-devel

* Fri Mar 04 2016 blino <blino> 2.14.2-1.mga6
+ Revision: 985297
- 2.14.2 (workaround test suite failures because of broken Imlib2)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 eatdirt <eatdirt> 2.14-1.mga6
+ Revision: 891958
- Upgrade to version 2.14

* Tue Sep 29 2015 eatdirt <eatdirt> 2.13.1-1.mga6
+ Revision: 885122
- Upgrade to version 2.13.1

* Wed Oct 15 2014 umeabot <umeabot> 2.12-3.mga5
+ Revision: 745754
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.12-2.mga5
+ Revision: 679121
- Mageia 5 Mass Rebuild

* Fri May 23 2014 eatdirt <eatdirt> 2.12-1.mga5
+ Revision: 625106
- Upgrade to version 2.12

* Thu Mar 27 2014 eatdirt <eatdirt> 2.10-1.mga5
+ Revision: 609047
- Upgrade to version 2.10

* Sat Oct 19 2013 umeabot <umeabot> 2.9.2-3.mga4
+ Revision: 526067
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 2.9.2-2.mga4
+ Revision: 435842
- rebuild for new libpng

* Mon May 27 2013 wally <wally> 2.9.2-1.mga4
+ Revision: 428894
- rebuild to fix release

* Mon May 27 2013 wally <wally> 2.9.2-0.1.mga4
+ Revision: 428869
- new version 2.9.2
- use icon and .desktop file from upstream

* Fri Jan 11 2013 umeabot <umeabot> 2.5-3.mga3
+ Revision: 350090
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 barjac <barjac> 2.5-2.mga3
+ Revision: 337674
- update group

* Mon Jun 11 2012 dams <dams> 2.5-1.mga3
+ Revision: 259794
- new version 2.5

* Sat Apr 07 2012 wally <wally> 2.2-2.mga2
+ Revision: 229527
- fix rights of doc files (mga#3330)

* Wed Jan 11 2012 kamil <kamil> 2.2-1.mga2
+ Revision: 194891
- new version
- include signature of the source
- clean spec

* Tue Sep 13 2011 fwang <fwang> 1.16.1-1.mga2
+ Revision: 142919
- new version 1.16.1

* Sun Jul 10 2011 wally <wally> 1.14.2-1.mga2
+ Revision: 121742
- new version 1.14.2

* Sun Mar 20 2011 wally <wally> 1.12-2.mga1
+ Revision: 74908
- fix doc files handling
- more .spec cleaning

* Sun Mar 20 2011 wally <wally> 1.12-1.mga1
+ Revision: 74864
- new version 1.12
- fix license
- drop old mdv scriptlets
- add curl-devel BR
- enable tests
- clean .spec a bit
- imported package feh


* Tue Oct 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.10-1mdv2011.0
+ Revision: 585182
- update to 1.10

* Sun Aug 29 2010 Jani Välimaa <wally@mandriva.org> 1.9-1mdv2011.0
+ Revision: 574237
- update to new version 1.9

* Fri Jul 23 2010 Jani Välimaa <wally@mandriva.org> 1.8-2mdv2011.0
+ Revision: 557287
- fix desktop file

* Mon Jul 19 2010 Gustavo De Nardin <gustavodn@mandriva.com> 1.8-1mdv2011.0
+ Revision: 554901
- upgraded to version 1.8, from new maintainer, pointed by Sandro Cazzaniga
  <kharec(at)mandriva.org>
- URLs updated to new site
- str format patch unneeded in new version

* Tue Sep 01 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.3.4-8mdv2010.0
+ Revision: 423188
- string format fix

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild for new libjpeg
    - rebuild for new libjpeg

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.3.4-6mdv2009.0
+ Revision: 245079
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.3.4-4mdv2008.1
+ Revision: 136411
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill old menu
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - fix man pages


* Fri Feb 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.3.4-4mdv2007.0
+ Revision: 118457
- fix buildrequires
- Import feh

* Fri Feb 09 2007 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.4-4mdv2007.1
- rebuild to sync x86_64

* Tue Aug 08 2006 Lenny Cartier <lenny@mandriva.com> 1.3.4-3mdv2007.0
- xdg

* Wed May 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.3.4-2mdk
- fix buildrequires (and thus build on x86_64)

* Wed Mar 29 2006 Jerome Soyer <saispo@mandriva.org> 1.3.4-1mdk
- New release 1.3.4

* Fri Oct 07 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.3-2mdk
- Fix BuildRequires

* Thu Jul 21 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.3-1mdk
- New release 1.3.3
- Fix BuildRequires
- mkrel

* Mon Nov 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.9-1mdk
- 1.2.9

